require "import"
import "android.widget.*"
import "android.view.*"
import "android.media.MediaPlayer"

activity.setTitle("لعبه ضرب مهند بالنعال")
activity.setTheme(android.R.style.Theme_DeviceDefault_Light_NoActionBar)

score = 0
selectedSandal = nil
mediaPlayer = MediaPlayer()

function playSound()
    local filePath = "/sdcard/解说/Tools/ضرب عبد الله صباح بالنعال/Sounds/2_5239965400833222431.wav"
    local file = io.open(filePath, "r")
    if file then
        file:close()
        mediaPlayer.reset()
        mediaPlayer.setDataSource(filePath)
        mediaPlayer.prepare()
        mediaPlayer.start()
    else
        Toast.makeText(activity, "     !", Toast.LENGTH_SHORT).show()
    end
end

mainLayout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    background = "#FFFFFF",
    padding = "16dp",
    {
        TextView,
        text = "مهند شخص من بغداد غير محترم عليكم ضربه عمره 19 سنة ولكنه شخص مكروه جدًا.",
        textSize = "18sp",
        textColor = "#000000",
        layout_width = "fill",
        layout_height = "wrap_content",
    },
    {
        TextView,
        text = "يجب عليك ضربه بالنعال ليصير محترمًا.",
        textSize = "16sp",
        textColor = "#000000",
        layout_width = "fill",
        layout_height = "wrap_content",
        layout_marginTop = "10dp",
    },
    {
        Button,
        text = "اختر نوع النعال",
        layout_width = "match_parent",
        layout_height = "wrap_content",
        onClick = function()
            showSandalSelection()
        end,
    },
}

function showSandalSelection()
    local sandalSelectionLayout = {
        LinearLayout,
        orientation = "vertical",
        layout_width = "fill",
        layout_height = "fill",
        padding = "16dp",
        {
            TextView,
            text = "اختر نوع النعال:",
            textSize = "18sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
        },
        {
            Button,
            text = "نعال طامس بالخيسة",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            onClick = function()
                selectedSandal = "طامس بالخيسة"
                startGame()
            end,
        },
        {
            Button,
            text = "نعال كبير قياس 45",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            onClick = function()
                selectedSandal = "كبير قياس 45"
                startGame()
            end,
        },
    }
    activity.setContentView(loadlayout(sandalSelectionLayout))
end

function startGame()
    local gameLayout = {
        LinearLayout,
        orientation = "vertical",
        layout_width = "fill",
        layout_height = "fill",
        padding = "16dp",
        {
            TextView,
            text = "نوع النعال المختار: " .. selectedSandal,
            textSize = "18sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
        },
        {
            TextView,
            id = "gameStatus",
            text = "مهند ينتظر الضرب مثل الكلب!",
            textSize = "16sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
            layout_marginTop = "10dp",
        },
        {
            Button,
            text = "ضرب مهند بالنعال ",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            onClick = function()
                hitmohand()
            end,
        },
        {
            TextView,
            id = "scoreText",
            text = "النقاط: 0",
            textSize = "16sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
            layout_marginTop = "10dp",
        },
        {
            Button,
            text = "الخروج",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            layout_marginTop = "10dp",
            onClick = function()
                activity.finish()
            end,
        },
    }
    activity.setContentView(loadlayout(gameLayout))
end

function hitmohand()
    score = score + 1
    local damageMessage = ""
    if selectedSandal == "طامس بالخيسة" then
        damageMessage = "النعال اخترق جسم مهند وسمم دمه!"
    elseif selectedSandal == "كبير قياس 45" then
        damageMessage = "النعال تسبب بأضرار كبيرة ل مهند!"
    end
    gameStatus.setText(damageMessage)
    scoreText.setText("النقاط: " .. score)
    playSound()
end

activity.setContentView(loadlayout(mainLayout))